1. Pay-In
Mozarto - The Payments Orchestration Platform
  • 1. Introduction
  • 2. Quick Start
  • 3. Authentication
  • 4. Webhook Setup
  • 5. Errors
  • 6. Redirect flow
    • Pay-In Flow
    • Pay-Out Flow
  • 7. Payment Providers (PSPs)
    • Overview
    • Brite
    • CashLib
    • Cleo
    • Contiant
    • emerchantpay
    • Flexepin
    • ForumPay
    • Gigadat
    • Neosurf
    • OFApay
    • PayModum
    • PayOne
    • PawaPay
    • Trust Payments
    • Worldpay
  • 8. Redirect Flow APIs
    • Redirect Flow APIs - overview
    • Pay-In
      • Brite
        POST
      • CashLib
        POST
      • Cleo
        POST
      • Contiant
        POST
      • emerchantpay
        POST
      • Flexepin
        POST
      • Forumpay
        POST
      • Gigadat
        POST
      • Neosurf
        POST
      • OFApay
        POST
      • PayOne
        POST
      • PawaPay
        POST
      • Trust Payments
        POST
      • WorldPay
        POST
    • Pay-Out
      • Cleo
      • Forumpay
      • Gigadat withdraw ACH
      • Gigadat withdraw ETO
      • PawaPay
      • PayOne
      • Trust Payments
  • Webhook
    • ForumPay status webhook
    • PayOne status webhook
  • Schemas
    • TransactionData
  1. Pay-In

OFApay

Prod Env
https://backend.app.mozarto.io
Prod Env
https://backend.app.mozarto.io
POST
/v1/api/mozarto/cashier
paymentMethod selects the OFApay account. Pay-In: GCASH (GCash), MAYA (Maya), GRABPAY (GrabPay), QRPH (QRPH). BANK_KRW (Bank Payouts) is Pay-Out only.

Request

Header Params

Body Params application/json

Example
{
  "pspType": "OFAPAY",
  "type": "PAYIN",
  "paymentMethod": "QRPH",
  "baseamount": 200,
  "currency": "PHP",
  "country": "PHL",
  "phone": "09201234567",
  "bankno": "601",
  "merchantReference": "ORDER-4821"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.app.mozarto.io/v1/api/mozarto/cashier' \
--header 'Authorization: Bearer {{BRAND_TOKEN}}' \
--header 'x-user-token: Bearer {{USER_TOKEN}}' \
--header 'Content-Type: application/json' \
--data '{
  "pspType": "OFAPAY",
  "type": "PAYIN",
  "paymentMethod": "QRPH",
  "baseamount": 200,
  "currency": "PHP",
  "country": "PHL",
  "phone": "09201234567",
  "bankno": "601",
  "merchantReference": "ORDER-4821"
}'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
  "isSuccess": true,
  "data": {
    "merchantReference": "ORDER-4821",
    "amount": 200,
    "transaction_status": "Pending",
    "paymentUrl": "https://www.jzc899.com/pay/deposit.aspx?u=...&v=2.0",
    "qrUrl": "https://www.jzc899.com/qr/ORDER-4821.png",
    "qrcode": "00020101021226580014com.p2pqrpay0111PHQRPH6015ORDER-4821",
    "floatingamount": ""
  },
  "statusCode": 200
}
🟠400
🔴500
Modified at 2026-08-24 09:19:00
Previous
Neosurf
Next
PayOne
Built with